#!/bin/bash
#
# ===== pve-host scripts ======
#
# snap-status: utility to show snapshot presence and size on PVE cluster nodes;
#              modify with actual pve DNS hostname, and rename to "snap-status.sh"
#
# $Rev:$
# $Date$
# $Author$
#
#	Copyright (C) 2011-2012 Roberto Resoli - Comune di Trento;
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; version 3
#	of the License.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
#	MA  02111-1307, USA.
#
echo === showing snapshot status on pve nodes ===
this_node=$(hostname)
#Change pv1, pve2, pve3, etc. with real PVE DNS hostnames
for pve_node in pv1 pve2 pve3
do
	echo "$pve_node: ";
	if [ $pve_node == $this_node ]; then
		snap_status=$(lvs | grep snap | awk '{ if( $6 != "" ) { print $1,$6; } }' )
		lock_status=$(shopt -s nullglob;for l in /tmp/*.lock ; do echo -n "$l "; done)
	else
		snap_status=$(ssh "$pve_node" lvs | grep snap | awk '{ if( $6 != "" ) { print $1,$6; } }' )
		lock_status=$(ssh "$pve_node" "shopt -s nullglob;for l in /tmp/*.lock ; do echo -n \"\$l \"; done")
	fi
	echo " s: $snap_status";
	echo " l: $lock_status";
done
echo === done  ===

